Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class FiasGetAbonentLocationFind

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.fias.server.bean.FiasGetAbonentLocationFind

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class FiasGetAbonentLocationFind extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - запрос изменения номера при поиске и ответе

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FiasGetAbonentLocationFind(int pluginId, String number)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNumber()`
  Возвращает начальный номер.
  `String`
  `getNumberForAnswer()`
  Возвращает номер для ответа.
  `String`
  `getNumberForFind()`
  Возвращает номер для поиска.
  `void`
  `setNumberForAnswer(String numberForAnswer)`
  Устанавливает номер для ответа.
  `void`
  `setNumberForFind(String numberForFind)`
  Устанавливает номер для поиска.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FiasGetAbonentLocationFind

    public FiasGetAbonentLocationFind(int pluginId, String number)
    Конструктор события.
    Parameters:
      `number` - - номер для поиска

- ## Method Details

  - ### getNumber

    public String getNumber()
    Возвращает начальный номер.
    Returns:

  - ### getNumberForFind

    public String getNumberForFind()
    Возвращает номер для поиска.
    Returns:

  - ### setNumberForFind

    public void setNumberForFind(String numberForFind)
    Устанавливает номер для поиска.
    Parameters:
      `numberForFind` -

  - ### getNumberForAnswer

    public String getNumberForAnswer()
    Возвращает номер для ответа.
    Returns:

  - ### setNumberForAnswer

    public void setNumberForAnswer(String numberForAnswer)
    Устанавливает номер для ответа.
    Parameters:
      `numberForAnswer` -